17.11.2011 13:23    

turbocan
Öncelikle herkese selamlar. üstatlarıma saygılar..
yangın tesisatı çiziminde kullanılan çap etiketlerine acil ihtiyaç duymaktayım
çaplandırma lispleri genelde ısıtma ve sıhhi tesisat üzerine yoğunlaşmış ama yangın üzerine yapılmış bir çalışmaya malesef rastlayamadım
aslında buraya yazdığım mesajın içeriği silinmiş o yüzden ikinci kez yazıyorum özet geçmeye çalışacağım

dağıtım hattından çıktığımız branşmanlarda en fazla 8 adet sprinkler kullanıyoruz.
1. ve 2. sprinklerlerden sonra 1"
3. sprinkerden sonra 1 1/4"
4. ve 5. sprinklerlerden sonra 1 1/2"
ve 6. 7. ve 8. sprinklerlerden sonra 2"
şeklinde çap veriyoruz.



çok kişinin işine yarayacağını düşünüyorum

binlerce konutluk bir sitenin otoparkını yapıyorum emin olun saçlarım ağardı :) yardımcı olan çıkarsa canı gönülden teşekkür ederim

turbocan (18.11.2011 22:01 GMT)

18.11.2011 07:19    

rmz cnk
Isteğin çok güzel böyle bi lips hazırlanırsa gerçekten duacınız oluruz.... ufak projelerde fazla sıkıntı olmuyor ama işi hızlandırmak adına güzel bi çözüm olur.

21.11.2011 13:12    

turbocan
Değerli arkadaşlar;

bu lispi yapmak için kim ne kadar isterse verebilirim.

makul sınırlarda kalmak koşuluyla bir fiyat belirtin. artık bu da yapabileceğim son şey gerçekten ihtiyacım var.

elinde benzer bir lisp olan varsa da lütfen kontağa geçsin gerekirse ufak bir modifikasyonla ihtiyacımız olan lispe dönüştürelim.

kimse yazamaz mı rica etsem ?

saygılarımla...

ProhibiT (21.11.2011 15:06 GMT)

21.11.2011 15:36    

ProhibiT
Her şeyden önce sorunuzu net tanımlamalısınız.
- Sprinkler'lerinizi gösterdiğiniz objenin türü nedir? doughnut mı, Circle içi hatch mi?
- Boruyu gösteren objeniz nedir? Her aralıkta bağımsız Line mı? Sürekli Line'mı? Yoksa Sprinkler noktasında vertex'i olan PolyLine mı?
- Boru ve sprinkler ler arasında bir ilişki var mı? Hangi Sprinkler Hangi hattın üzerinde, AutoCAD ya da AutoLisp bunu nasıl bilecek, kendisi mi mantık yürütmeli?
- Sıra sayıları baktığınız noktaya göre değişir. Sizin Birinci Sprinkler dediğiniz herhalde hattın uç noktasındaki olsa gerek.

Bir fonksiyon yazabilmek için bu ve benzeri daha pek çok detaya ihtiyaç duyulur. Bunun için sorunuz havada kalıyor, yazabilecek olanlar da sıcak bakmıyorlar.

ProhibiT (21.11.2011 15:42 GMT)

21.11.2011 19:09    

turbocan
Sayın hocam öncelikle saygılarımı arz ederim.
bu soruları sorduğunuz için çok teşekkür ederim okuyunca ben de bir çok noktayı atladığımı farkettim.
hemen maddeleri cevaplayayım:


- objemiz circle içi hatch ve block yapılmış haldedir ancak block tan vazgeçebiliriz hangisi kolay gelecekse programcı için.

- sürekli bir line dır ancak yerine göre ya da lisp in sağlayacağı kolaylık göz önüne alınarak bağımsız line da kullanabiliriz bu programcının insiyatifindedir.

- boru ile sprinkler arasında tek bir bağ var o da circle ın merkezinden geçmesi. en azından lisp için bu yeterli yani ihtiyacım olan lisp için bu tür bir ilişkilendirmeye ihtiyaç duymuyoruz. yoksa standartlarda tabi ki hem konumlandırma hem de branşman vermede uyduğumuz kurallar mevcut ancak istediğim lisp sadece çaplandırma yapsın yeterli yani sprinklerin dizimi olsun branşman vermede uyduğumuz aralıkları biz belirleyeceğiz dolayısıyla lispin bu ilişkiyi bilmesine mantık yürütmesine ihtiyaç yok. [hocam tabi ki şu benim işime daha çok gelir ben alanı seçeyim hem sprinkleri dizsin hem de branşmanları çeksin hem de çap versin ama hani bu tür bir programı kim yazacak değil mi? ölçülü bir istek olmayacağını düşündüğüm için ileri düzey bir şey istemeye çekiniyorum açıkçası ]

- Sprinklerlerin hattını sondan başa doğru çaplandırırız her branşmanda en fazla sekiz adet sprinkler kullanılır sekizin altındaki adetler de olacağından çaplandırmada küçük çap numarasından başlıyoruz. yani sondan başa doğru olacak.

Hocam açıklamak adına biraz daha genişleteyim:
Açılı bir boruya çap verirken çap etiketinin boruya paralel ve çap çizgisinin ise buna dik olması gerekir resimdeki gibi.
İkinci konu çap etiketi çizgisinin 6.7 cm den küçük 8 cm den de büyük olmaması gerekiyor.
Çizgileri sondan başa doğru seçtiğimiz yerden tıklaya tıklaya büyük çapa doğru ilerlemek bana mantıklı geliyor. Yani söylemek istediğim şey Sprinklerler arasındaki mesafe standart değil dolayısıyla çapın verileceği noktayı bizim seçmemiz yerinde olacak.

Layer konusu tabi önemli m-pipe-iden kullanıyoruz yazılar için rengi bylayer olacak etiket çizigisi ise m-anno-dims olacak rengi de aynı şekilde bylayer olmalı bir yazı tipi arial olmalı büyüklüğü ise 20cm şeklinde ayarlı olmalı. tabi biz cm birimiyle çalışıyoruz. O yüzden hepsini cm şeklinde yazdım.

Hocam ayrıntılar geldikçe aklıma yazabilirim ayrıca yangın tesisatı konusunda yardıma ihtiyacı olan olur elimden geldiği kadarıyla bilgilendirme yapmaya çalışırım. 5000 konutluk bir proje üzerinde çalışıyoruz. işini bilmeyen mimarlar yüzünden belki dört beş kere baştan aşağı çizdim.Devasa bir otopark ve binlerce konut çiz çiz dur aynı zamanda dairesel bloklar ve yay şeklindeki bloklarda açılı çalışmak gerektiriyor. Aynı durumda olan çok sayıda kişi vardır bence malum yönetmeliğin zorlayıcı hükümleri mevcut.


Şimdilik aklıma gelen konular bunlar ayrıntı isteyen olursa lütfen sorsun.

Bütün Autocadokulu.com topluluğuna teşekkür ederim. Çok güzel işler yapılıyor burada çok sağolun.

25.11.2011 06:13    

ProhibiT
Öncelikle bazı kavramları açıklamak, fonksiyon yazılırken kabul edilen esasları açıklamak istiyorum.

- Her bir branşman hattı tek bir "Line" objesi olarak çizilmiştir.
- Sprinkler, "bLock" türü objedir ve branşman hattına "Insertion Point" ten bağlıdır.
- Her bir branşmanın yalnızca bir uç noktasında sprinkler bulunabilir. Branşmanın besleme hattına bağlandığı noktada Sprinkler olamaz.
- Seçilen Sprinkler bLockları ve branşmanları temsil eden Line objeleri herhangi bir "layer" da bulunabilirler.
- Branşman hattı üzerine yazılan boru çapları geçerli Layer'da, Geçerli Text Style, CoLor ve Yazı Yüksekliği kullanılarak yazılırlar.
- Çap etiketi iki sprinkler arasına veya etiketlediği boru bölümünün ortasına, boru hattına paralel ve teknik resim kurallarına uygun olarak göre sağ alt köşeden okunacak şekilde yazılır.
- Fonksiyon kodu içindeki (setq pdi (list "1"" "1"" "1 1/4"" "1 1/2"" "1 1/2"" "2"" "2"" "2"")) şeklindeki Boru Çap serisi değiştirilerek kullanılabilecek maximum sprinkler sayısı ve boru çapları değiştirilebilir.
- Yeni Branşman Hatları seçilmeye devam edildikçe seçim setine alınan Sprinkler gurubu için Boru Çapı yazma işlemine devam edilir.
Kod:

;| Sprinkler'lerin bLock, branşman hattının Line objelerinden oluşturulduğu   |
|  kabulüyle Branşman üzerindeki Sprinkler sayısına göre Boru Çaplarını yazar.|
|  Sprinkler bLock'u seçildikten sonra, Branşman hattını temsil eden Line     |
|  objeleri seçilmeye devam edildikçe, ilgili branşman üzerine Boru Çaplarını |
|  yazmaya devam eder. Seçilen Line objesi üzerinde herhangi bir Sprinkler    |
|  bLock'u yoksa, bir işlem yapılmaz, yeni Branşman seçilmesi istenir.        |
|  Hazırlayan: M. Şahin Güvercin  25.11.2011  www.autocadokulu.com           |;
(write-line "\n Hazırlayan: M. Şahin Güvercin - www.autocadokulu.com")
(defun c:sPbRC (/ em pdi bLn sPr n bRn L bEn p1 p2 aNg1 sPs p3 aNg2 o m msf PvT
                p5 p6) (setvar "cmdecho" 0) (command "_.undo" "group")
  (setq em " M. Şahin Güvercin - www.autocadokulu.com") (defun *error* (er)
    (command "_.regen") (princ er) (setq *error* nil) (princ em))
  (setq pdi (list "1\"" "1\"" "1 1/4\"" "1 1/2\"" "1 1/2\"" "2\"" "2\"" "2\""))
  (write-line "\r *** Sprinkler bLock'u seçiniz: ") (command "_.regen")
  (while (not (setq bLn (ssget ":s" (list (cons 0 "Insert"))))))
  (setq bLn (cdr (assoc 2 (entget (ssname bLn 0)))) n -1
        sPr (ssget "x" (list (cons 0 "Insert") (cons 2 bLn))) L (sslength sPr))
  (while (< (setq n (1+ n)) L) (redraw (ssname sPr n) 3))
  (princ "\r *** Branşman seçiniz: \r")
  (while (setq bRn (ssget ":s" (list (cons 0 "Line"))))
    (setq P (sslength bRn) r -1)
    (while (< (setq r (1+ r)) P)
      (setq bEn (entget (ssname bRn r)) n -1)
      (while (< (setq n (1+ n)) L)
        (if (<= (distance (cdr (assoc 11 bEn))
                          (cdr (assoc 10 (entget (ssname sPr n))))) 1.0e-10)
          (setq p1  (cdr (assoc 10 bEn)) p2  (cdr (assoc 11 bEn))
                bEn (subst (cons 10 p2) (assoc 10 bEn) bEn)
                bEn (subst (cons 11 p1) (assoc 11 bEn) bEn))))
      (entmod bEn) (entupd (cdr (assoc -1 bEn))) (command "_.regen")
      (setq p1   (list (cadr (assoc 10 bEn)) (caddr (assoc 10 bEn)))
            p2   (list (cadr (assoc 11 bEn)) (caddr (assoc 11 bEn)))
            aNg1 (angle p1 p2) n -1 SpS (ssadd))
      (redraw (cdr (assoc -1 bEn)) 3)
      (while (< (setq n (1+ n)) L)
        (setq pEn  (entget (ssname sPr n))
              p3 (list (cadr (assoc 10 pEn)) (caddr (assoc 10 pEn)))
              aNg2 (angle p1 p3))
        (if (< (distance p1 p3) 1.0e-10) (setq aNg2 aNg1))
        (if (and (< (abs (- aNg1 aNg2)) 1.0e-10)
                 (<= (distance p1 p3) (distance p1 p2)))
          (ssadd (cdr (assoc -1 pEn)) SpS)))
      (setq m (sslength SpS) o -1 n -1)
      (if (> m 0) (progn (command "_.regen")
          (while (< (setq n (1+ n)) m) (redraw (ssname SpS n) 3))
          (setq o -1 msf (list 0.0))
          (while (< (setq o (1+ o)) m)
            (setq PvT (entget (ssname SpS o))
                  p3  (list (cadr (assoc 10 PvT)) (caddr (assoc 10 PvT))))
            (if (> (distance p1 p3) 1.0e-10)
              (setq msf (append msf (list (distance p1 p3))))))
          (setq msf (vl-sort (append msf (list (distance p1 p2))) '<)
                m (length msf) o -1)
          (while (< (setq o (1+ o)) (1- m))
            (setq p4 (polar p1 aNg1
                     (+ (nth o msf) (/ (- (nth (1+ o) msf) (nth o msf)) 2.0))))
            (cond ((and (>= aNg1 0.0) (<= aNg1 (/ pi 2.0)))
                   (setq aNg aNg1 p5 (polar p4 (+ aNg1 (/ pi 2.0)) 7.3)
                p6 (polar p5 (+ aNg1 (/ pi 2.0)) (/ (getvar "textsize") 4.0))))
                  ((and (> aNg1 (/ pi 2.0)) (<= aNg1 pi))
                   (setq aNg (- aNg1 pi) p5 (polar p4 (- aNg1 (/ pi 2.0)) 7.3)
                p6 (polar p5 (- aNg1 (/ pi 2.0)) (/ (getvar "textsize") 4.0))))
                  ((and (> aNg1 pi) (<= aNg1 (* 1.5 pi)))
                   (setq aNg (- aNg1 pi) p5 (polar p4 (- aNg1 (/ pi 2.0)) 7.3)
                p6 (polar p5 (- aNg1 (/ pi 2.0)) (/ (getvar "textsize") 4.0))))
                  ((and (> aNg1 (* 1.5 pi)) (<= aNg1 (* 2.0 pi)))
                   (setq aNg aNg1 p5 (polar p4 (+ aNg1 (/ pi 2.0)) 7.3)
                p6 (polar p5 (+ aNg1 (/ pi 2.0))(/ (getvar "textsize") 4.0)))))
            (entmake (list (cons 0 "Line") (cons 10 p4) (cons 11 p5)))
            (entmake (list (cons 0 "Text") (cons 1 (nth o pdi)) (cons 10 p6)
                           (cons 11 p6) (cons 40 (getvar "TextSize"))
                           (cons 50 aNg) (cons 72 1)))))))
    (princ "\r *** Yeni Branşman seçiniz: "))
  (setq *error* nil) (command "_.regen") (command "_.undo" "e") (princ)
)

ProhibiT (05.12.2011 12:37 GMT)

27.11.2011 08:54    

waytooraider
Hocam kendim bir sprinkler bloğu oluşturdum basit bir yangın tesisatı çizdim ama lispi çalıştıramadım bloğu seçerken şu uyarıyı verıyor *** sprinkler block'u seçiniz:
belki ben çalıştırmayı becerememişimdir.
saygılarımla hocam.

27.11.2011 17:23    

ProhibiT
Hatanın ne olduğunu anlayamadım. fonksiyon çalıştırılınca ilk iş sprinkler block'u seçmenizi ister tek tıkla seçimi yapınca drawing dosyanızdaki tüm sprinkler blockları seçili (highlight) hale getirilirler. bundan sonra yapacağınız tek tek veya guruplar halinde branşman hatlarını oluşturan line objelerini seçmektir. fonksiyon kodunda küçük düzenlemeler yapıp güncelledim, son halini kullanmanızı tavsiye ederim.

arkadaşlarımız burada isteklerini çoğu zaman yeterince detaya girmeden yazıvermelerine rağmen, fonksiyon yazılırken şeytanın aklına gelmeyen durumlar göz önüne alınmak zorunda. olası her durumu ve açmazı yazar kurgulamak zorunda. Örneğin bu fonksiyon için oluşturduğum;

şeklinde bir çizimden yola çıkarak algoritmayı kurdum. aşağıda verdiğim linkteki videodan da fonksiyonun nasıl çalıştığını takip edebilirsiniz.


Linkleri görebilmek için ÜYE olmalısınız.

ProhibiT (27.11.2011 17:30 GMT)

30.11.2011 11:57    

aytac_kavak
Selam hocam bende lispi denedim fakat ılk sprınkden sonra 1" yazıyor daha sonra gelen sprınglere yazının sadece cızgısını atıyor ama yazı yanı cap yazmıyor. vtr yı ızledım sızın yaptıgınızdan farklı bısey yapmıyorum. ama komut tek bransman secımı ıstiyor sizin yaptıgınız gıbı komuttan cıkmadan dıger bransları secemıyorum dedıgım gıbı secılen bransmanda da sadece ılk sprıngten sonra cap yazmıyor.

03.12.2011 04:37    

ulvikarabulut
Arkadaşların söyledikleri doğru.
ilk sprinklere 1'' yazıyor diğerlerine çizgi atıyor.

03.12.2011 06:36    

ProhibiT
" (inch) işareti yazdırmak için önüne \ (back slash) konması gerekiyor. fonksiyon kodu foruma yazılırken bu \'lar kaybolmuş. bahsedilen hata bundan kaynaklanıyor. söz konusu hatayı düzeltip yeniden yükledim, problemsiz kullanabilirsiniz.

03.12.2011 08:25    

waytooraider
Şiir gibi olmuş şiir gibi.:)

03.12.2011 11:21    

ulvikarabulut
Süper olmuş prohibit teşekkürler.
eline sağlık

05.12.2011 06:46    

rmz cnk
Arkadaşlar komutu veriyorum"spbrc yada spr " olarak her hangi bir işlem yapmıyor ...

05.12.2011 07:26    

ProhibiT
Fonksiyonun yüklendiğinden emin misiniz? Yüklendiğinde;
Hazırlayan: M. Şahin Güvercin - www.autocadokulu.com
c:spbrc

mesajı görüntülenir, bundan sonra sPbRc komutunu kullanabilirsiniz.

05.12.2011 08:41    

rmz cnk
:( tmm dediğiniz gibi yaptım komutu kabul etti ilk önceki gibi çıkıyor hala. komutu verdikten sonra select objects: diyor spring seçiyorum sonrada branşmanı seçiyorum :s yazılar çıkmmıyor.... autocad x64

05.12.2011 09:44    

waytooraider
- her bir branşman hattı tek bir "line" objesi olarak çizilmiştir.
- pprinkler, "block" türü objedir ve branşman hattına "ınsertion point" ten bağlıdır.
- her bir branşmanın yalnızca bir uç noktasında sprinkler bulunabilir. branşmanın besleme hattına bağlandığı noktada sprinkler olamaz.
- seçilen sprinkler blockları ve branşmanları temsil eden line objeleri herhangi bir "layer" da bulunabilirler.
- branşman hattı üzerine yazılan boru çapları geçerli layer'da, geçerli text style, color ve yazı yüksekliği kullanılarak yazılırlar.
- çap etiketi iki sprinkler arasına veya etiketlediği boru bölümünün ortasına, boru hattına paralel ve teknik resim kurallarına uygun olarak göre sağ alt köşeden okunacak şekilde yazılır.
- fonksiyon kodu içindeki (setq pdi (list "1"" "1"" "1 1/4"" "1 1/2"" "1 1/2"" "2"" "2"" "2"")) şeklindeki boru çap serisi değiştirilerek kullanılabilecek maximum sprinkler sayısı ve boru çapları değiştirilebilir.

şahin hocamızın belirtmiş olduğu açıklamaları tek tek uygularsan hiç bir sorunla karşılaşmazsın. denediğim için söylüyorum.

29.01.2012 19:57    

given
Prohibit Hocam caplari inch olarak degil de Ф seklinde (ornegin Ф20) vermesi saglanabilir mi?

29.01.2012 20:12    

given
Prohibit Hocam, size yazdiktan sonra biraz ugrastim ve Ф olarak cap yazmak isteyenler icin degisiklik yaptim, calisiyor. Umarim saygisizlik olarak dusunmezsiniz. Belki benim gibi yurtdisinda olup Ф olarak yazmak zorunda olanlarin isine yarar.

Saygilarimla,

;| Sprinkler'lerin bLock, branşman hattının Line objelerinden oluşturulduğu |
| kabulüyle Branşman üzerindeki Sprinkler sayısına göre Boru Çaplarını yazar.|
| Sprinkler bLock'u seçildikten sonra, Branşman hattını temsil eden Line |
| objeleri seçilmeye devam edildikçe, ilgili branşman üzerine Boru Çaplarını |
| yazmaya devam eder. Seçilen Line objesi üzerinde herhangi bir Sprinkler |
| bLock'u yoksa, bir işlem yapılmaz, yeni Branşman seçilmesi istenir. |
| Hazırlayan: M. Şahin Güvercin 25.11.2011 www.autocadokulu.com |;
(write-line "\n Hazırlayan: M. Şahin Güvercin - www.autocadokulu.com")
(defun c:spcf (/ em pdi bLn sPr n bRn L bEn p1 p2 aNg1 sPs p3 aNg2 o m msf PvT
p5 p6) (setvar "cmdecho" 0) (command "_.undo" "group")
(setq em " M. Şahin Güvercin - www.autocadokulu.com") (defun *error* (er)
(command "_.regen") (princ er) (setq *error* nil) (princ em))
(setq pdi (list "%%c20" "%%c20" "%%c32" "%%c40" "%%c40" "%%c40" "%%c50" "%%c50"))
(write-line "\r *** Sprinkler bLock'u seçiniz: ") (command "_.regen")
(while (not (setq bLn (ssget ":s" (list (cons 0 "Insert"))))))
(setq bLn (cdr (assoc 2 (entget (ssname bLn 0)))) n -1
sPr (ssget "x" (list (cons 0 "Insert") (cons 2 bLn))) L (sslength sPr))
(while (< (setq n (1+ n)) L) (redraw (ssname sPr n) 3))
(princ "\r *** Branşman seçiniz: \r")
(while (setq bRn (ssget ":s" (list (cons 0 "Line"))))
(setq P (sslength bRn) r -1)
(while (< (setq r (1+ r)) P)
(setq bEn (entget (ssname bRn r)) n -1)
(while (< (setq n (1+ n)) L)
(if (<= (distance (cdr (assoc 11 bEn))
(cdr (assoc 10 (entget (ssname sPr n))))) 1.0e-10)
(setq p1 (cdr (assoc 10 bEn)) p2 (cdr (assoc 11 bEn))
bEn (subst (cons 10 p2) (assoc 10 bEn) bEn)
bEn (subst (cons 11 p1) (assoc 11 bEn) bEn))))
(entmod bEn) (entupd (cdr (assoc -1 bEn))) (command "_.regen")
(setq p1 (list (cadr (assoc 10 bEn)) (caddr (assoc 10 bEn)))
p2 (list (cadr (assoc 11 bEn)) (caddr (assoc 11 bEn)))
aNg1 (angle p1 p2) n -1 SpS (ssadd))
(redraw (cdr (assoc -1 bEn)) 3)
(while (< (setq n (1+ n)) L)
(setq pEn (entget (ssname sPr n))
p3 (list (cadr (assoc 10 pEn)) (caddr (assoc 10 pEn)))
aNg2 (angle p1 p3))
(if (< (distance p1 p3) 1.0e-10) (setq aNg2 aNg1))
(if (and (< (abs (- aNg1 aNg2)) 1.0e-10)
(<= (distance p1 p3) (distance p1 p2)))
(ssadd (cdr (assoc -1 pEn)) SpS)))
(setq m (sslength SpS) o -1 n -1)
(if (> m 0) (progn (command "_.regen")
(while (< (setq n (1+ n)) m) (redraw (ssname SpS n) 3))
(setq o -1 msf (list 0.0))
(while (< (setq o (1+ o)) m)
(setq PvT (entget (ssname SpS o))
p3 (list (cadr (assoc 10 PvT)) (caddr (assoc 10 PvT))))
(if (> (distance p1 p3) 1.0e-10)
(setq msf (append msf (list (distance p1 p3))))))
(setq msf (vl-sort (append msf (list (distance p1 p2))) '<)
m (length msf) o -1)
(while (< (setq o (1+ o)) (1- m))
(setq p4 (polar p1 aNg1
(+ (nth o msf) (/ (- (nth (1+ o) msf) (nth o msf)) 2.0))))
(cond ((and (>= aNg1 0.0) (<= aNg1 (/ pi 2.0)))
(setq aNg aNg1 p5 (polar p4 (+ aNg1 (/ pi 2.0)) 7.3)
p6 (polar p5 (+ aNg1 (/ pi 2.0)) (/ (getvar "textsize") 4.0))))
((and (> aNg1 (/ pi 2.0)) (<= aNg1 pi))
(setq aNg (- aNg1 pi) p5 (polar p4 (- aNg1 (/ pi 2.0)) 7.3)
p6 (polar p5 (- aNg1 (/ pi 2.0)) (/ (getvar "textsize") 4.0))))
((and (> aNg1 pi) (<= aNg1 (* 1.5 pi)))
(setq aNg (- aNg1 pi) p5 (polar p4 (- aNg1 (/ pi 2.0)) 7.3)
p6 (polar p5 (- aNg1 (/ pi 2.0)) (/ (getvar "textsize") 4.0))))
((and (> aNg1 (* 1.5 pi)) (<= aNg1 (* 2.0 pi)))
(setq aNg aNg1 p5 (polar p4 (+ aNg1 (/ pi 2.0)) 7.3)
p6 (polar p5 (+ aNg1 (/ pi 2.0))(/ (getvar "textsize") 4.0)))))
(entmake (list (cons 0 "Line") (cons 10 p4) (cons 11 p5)))
(entmake (list (cons 0 "Text") (cons 1 (nth o pdi)) (cons 10 p6)
(cons 11 p6) (cons 40 (getvar "TextSize"))
(cons 50 aNg) (cons 72 1)))))))
(princ "\r *** Yeni Branşman seçiniz: "))
(setq *error* nil) (command "_.regen") (command "_.undo" "e") (princ)
)

22.03.2013 06:52    

rmz cnk
Hocam şimdi 8 sprinke kadar yapılmış burda ellerinize sağlık. Bunu sürekli artırmak için ne yapmak gerek örneğin 100 ad springe kadar. Aşağıda adet çap bilgileri vardır inç ve Ø olark. Şimdiden teşekkürler

Adet -- Çap --- ınç
2 -- ø25 --- 1"
3 -- ø32 --- 11/4"
4-5 -- ø40 --- 11/2"
6-10 -- ø50 --- 2"
11-20-- ø65 --- 21/2"
21-40 --ø80 --- 3"
41-100 --ø100 --- 4"
101-160 --ø125 --- 5"
161-275 --ø150 --- 6"

Copyright © 2004-2022 SQL: 2.002 saniye - Sorgu: 98 - Ortalama: 0.02043 saniye